player_position3d_cmd_pos Struct Reference

Command: position (PLAYER_POSITION3D_CMD_SET_POS) More...

`#include <player_interfaces.h>`

## Public Attributes

player_pose3d_t | pos
| (x, y, z, roll, pitch, yaw) position [m, m, m, rad, rad, rad]
player_pose3d_t | vel
| velocity at which to move to the position [m/s] or [rad/s]
uint8_t | state
| Motor state (FALSE is either off or locked, depending on the driver). More...

## Detailed Description

Command: position (PLAYER_POSITION3D_CMD_SET_POS)

It accepts new positions and/or velocities for the robot's motors (drivers may support position control, speed control, or both).

## Member Data Documentation

uint8_t player_position3d_cmd_pos::state

Motor state (FALSE is either off or locked, depending on the driver).

The documentation for this struct was generated from the following file:

- player_interfaces.h

Last updated 12 September 2005 21:38:45